<{import file="index/header.html"}> 
<div class="cnav"><a href="javascript:;" class="back">模板编辑</a></div>
<div class="explain">
	<div class="name"><span>操作提示</span></div>
	<div class="con">
		<p>系统参数在操作的括号里面寻找，英文简单的熟悉的同学根据自身情况配置。</p>
		<p>系统参数和接口参数一一对应，参数可以不一致，但必须一一对应，为了与混乱的第三方接口对接。</p> 
	</div> 
</div> 

<form id="form" action="<{$__ADMIN__}>api/tpl_save" method="post">
	<input type="hidden" name="type" id="type" value="<{$tpl_row.type}>"/>
	<input type="hidden" name="type2" id="type2" value="<{$tpl_row.alias}>"/>
	<input type="hidden" name="id" id="id" value=""/>
	<table class="etable">
		<tr>
			<td width="100">操作：</td>
			<td>
				<select name="code" id="action" style="width:328px">
					<option value="0">--请选择模板--</option>
					<{foreach item=i from=$name_list}>
					<option value="<{$i.alias}>"<{if $row.code == $i.alias}> selected="selected"<{/if}>><{$i.name}></option> 
					<{/foreach}>
				</select>
			</td>
		</tr>
		<tr>
			<td>标题：</td>
			<td><input type="text" name="name" value="" size="50" id="name"></td>
		</tr>
		<tr>
			<td>系统参数：</td>
			<td>
				<input type="text" name="param" value="" size="50" id="param">
				<p>系统参考：<span class="ccc">空</span></p>
			</td>
		</tr>
		<tr>
			<td>接口参数：</td>
			<td><input type="text" name="param2" value="" size="50" id="param2"></td>
		</tr> 
		<{if $tpl_row.type != 'email'}>
			<tr>
				<td>模板ID：</td>
				<td><input type="text" name="tpl_id" id="tpl_id" value="" size="50"></td>
			</tr>
		<{/if}> 
		<tr>
			<td>模板内容：</td>
			<td><textarea name="content" class="content" cols="50" rows="5" id="content"></textarea></td>
		</tr> 
		<tr>
			<td>状态：</td>
			<td>
				<label><input type="radio" name="status" class="status" value="1"/>开启</label>
				<label><input type="radio" name="status" class="status" value="0" checked="checked"/>关闭</label>
			</td>
		</tr>
		<tr>
			<td></td>
			<td><input type="submit" value="保存"/></td>
		</tr>
	</table>  
</form>
<{import file="index/footer.html"}>
<script type="text/javascript">
$(document).on('change', '#action', function(){
	var $this = $(this); 
	type = $("#type").val();
	type2 = $("#type2").val();
	code = $this.val(); 
	if(code != '0'){
		$.get(ADMIN+'api/get_tpl?type='+type+'&type2='+type2+'&code='+code, function(result){
			data = jQuery.parseJSON(result);  
			if(data.error == '0'){
				if(data.id == '' || data.id == undefined){
					$("input[name=id]").val('');
				}else{
					$("input[name=id]").val(data.id);
				}
				if(data.name == '' || data.name == undefined){
					$("input[name=name]").val(''); 
				}else{
					$("input[name=name]").val(data.name); 
				} 
				$("input[name=param]").val(data.param);
				$("input[name=param2]").val(data.param2);
				$("input[name=tpl_id]").val(data.tpl_id);
				$("textarea[name=content]").val(data.content); 
				if(data.status == '1'){
					$("input[name=status][value=1]").attr("checked", true);
				}else{
					$("input[name=status][value=0]").attr("checked", true);
				}
				$(".ccc").html(data.api_param); 
			}else{
				$.alert('访问错误');
			}
		});
	}else{
		$.alert('请选择要操作的模板');
	}
});
$(function(){ 	
	$("#type").change(function(){
		val = $(this).val();
		if(val == 'email'){
			$("#tpl_id").hide();
		}else{
			$("#tpl_id").show();
		}
	}); 
	
});
</script>  